TechDraw AngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(Removed the Scripting paragraph. Angle dim from a single edge is not possible.)
 
(48 intermediate revisions by 9 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>

<!--T:18-->
{{Docnav
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_3PtAngleDimension|3PtAngleDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DiameterDimension.svg
|IconR=TechDraw_3PtAngleDimension.svg
|IconC=Workbench_TechDraw.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=TechDraw Dimension_Angle|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension_Angle|Shortcut=|SeeAlso=}}
|Name=TechDraw AngleDimension
|MenuLocation=TechDraw → Dimensions → Insert Angle Dimension
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|SeeAlso=[[TechDraw_3PtAngleDimension|TechDraw 3PtAngleDimension]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Dimension_Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|16]] tool.
[[File:AngleSample.png|200px|center]]


==How to use== <!--T:3-->
<!--T:8-->
The '''TechDraw AngleDimension''' tool adds an angular dimension to a View. The dimension shows the interior angle between two straight edges.
# Select the points or edge which define your measurement.
# Press the {{KEY|[[Image:TechDraw_Dimension_Angle.png|16]] [[TechDraw Dimension_Angle]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.


</translate>
==Options== <!--T:4-->
[[Image:TechDraw_Dimension_Angle_example.png|200px]]
None.
<translate>
<!--T:9-->
{{Caption|Measuring the angle between two straight edges}}

==Usage== <!--T:3-->

<!--T:10-->
# Select two straight edges. The geometry may be selected in the [[3D_view|3D view]] or in the drawing.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
#* Press the {{Button|[[Image:TechDraw_AngleDimension.svg|16px]] [[TechDraw_AngleDimension|Insert Angle Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_AngleDimension.svg|16px]] Insert Angle Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].

===Display 3D measurement=== <!--T:21-->

<!--T:22-->
See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].

===Change properties=== <!--T:23-->

<!--T:20-->
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].

== Limitations == <!--T:11-->

<!--T:12-->
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].

==Notes== <!--T:24-->

<!--T:25-->
See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].


==Properties== <!--T:5-->
==Properties== <!--T:5-->
* {{PropertyData|X}}: Angle position of the dimension text relative to the View.
* {{PropertyData|Y}}: Angle position of the dimension text relative to the View.
* {{PropertyData|Font}}: The name of the font to use for the dimension text.
* {{PropertyData|Fontsize}}: Dimension text size in mm.
* {{PropertyData|FormatSpec}}: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
* {{PropertyData|LineWidth}}: Dimension line weight.
* {{PropertyData|Type}}: Length,radius,diameter, etc. Not normally manipulated by the end user.
* {{PropertyData|MeasureType}}: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.


==Scripting== <!--T:6-->
<!--T:13-->
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].
Angle dimensions can be added to Pages using Python.

</translate>

{{Code|code=
<!--T:19-->
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
{{Docnav
dim1.Type = "Angle"
|[[TechDraw_DiameterDimension|DiameterDimension]]
dim1.References2D=[(view1, 'Edge1')]
|[[TechDraw_3PtAngleDimension|3PtAngleDimension]]
rc = page.addView(dim1)
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DiameterDimension.svg
|IconR=TechDraw_3PtAngleDimension.svg
|IconC=Workbench_TechDraw.svg
}}
}}

<translate>
==Notes==<!--T:7-->
* None at this time
</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}
<languages/>

Latest revision as of 17:53, 27 July 2023

TechDraw AngleDimension

Menu location
TechDraw → Dimensions → Insert Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw 3PtAngleDimension

Description

The TechDraw AngleDimension tool adds an angular dimension to a View. The dimension shows the interior angle between two straight edges.

Measuring the angle between two straight edges

Usage

  1. Select two straight edges. The geometry may be selected in the 3D view or in the drawing.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
    • Press the Insert Angle Dimension button.
    • Select the TechDraw → Dimensions → Insert Angle Dimension option from the menu.
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Properties

See TechDraw LengthDimension.